shishi_ap_authenticator_cksumdata_set(3)

NAME
shishi_ap_authenticator_cksumdata_set - API function

SYNOPSIS
#include <shishi.h>

void shishi_ap_authenticator_cksumdata_set(Shishi_ap * ap, const char * authenticatorcksumdata, size_t authenticatorcksumdatalen);

ARGUMENTS

Shishi_ap * ap
    structure that holds information about AP exchange

const char * authenticatorcksumdata
    input array with data to compute checksum on and store in Authenticator in AP-REQ.

size_t authenticatorcksumdatalen
    length of input array with data to compute checksum on and store in Authenticator in AP-REQ.

DESCRIPTION
Set the Authenticator Checksum Data in the AP exchange. This is the data that will be checksumed, and the checksum placed in the checksum field. It is not the actual checksum field. See also shishi_ap_authenticator_cksumraw_set.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>. GNU Shishi home page: http://www.gnu.org/software/shishi/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.